aboutsummaryrefslogtreecommitdiffstats
path: root/testing/bitlbee-facebook/APKBUILD
diff options
context:
space:
mode:
authorMarvin Steadfast <marvin@xsteadfastx.org>2016-04-05 13:06:06 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-06-15 09:59:04 +0000
commit0466d40edaf5dfe44a9ab45d3a56435f92c2638d (patch)
tree6195a5d487973c0ec0a27969303a07ceea799e7b /testing/bitlbee-facebook/APKBUILD
parent2dcaac18ed7e395f5613b92d2e481e4380337929 (diff)
downloadaports-0466d40edaf5dfe44a9ab45d3a56435f92c2638d.tar.gz
aports-0466d40edaf5dfe44a9ab45d3a56435f92c2638d.tar.bz2
aports-0466d40edaf5dfe44a9ab45d3a56435f92c2638d.tar.xz
testing/bitlbee-facebook: new package
Diffstat (limited to 'testing/bitlbee-facebook/APKBUILD')
-rw-r--r--testing/bitlbee-facebook/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/bitlbee-facebook/APKBUILD b/testing/bitlbee-facebook/APKBUILD
new file mode 100644
index 0000000000..c42c968d67
--- /dev/null
+++ b/testing/bitlbee-facebook/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Marvin Steadfast <marvin@xsteadfastx.org>
+# Maintainer: Marvin Steadfast <marvin@xsteadfastx.org>
+pkgname=bitlbee-facebook
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Facebook protocol plugin for BitlBee"
+url="https://github.com/jgeboski/bitlbee-facebook"
+arch="all"
+license="GPL"
+depends="bitlbee json-glib"
+depends_dev=""
+makedepends="$depends_dev bitlbee-dev autoconf automake libtool json-glib-dev"
+install=""
+subpackages=""
+source="https://github.com/jgeboski/bitlbee-facebook/releases/download/v${pkgver}/bitlbee-facebook-${pkgver}.tar.gz"
+
+_builddir="$srcdir/bitlbee-facebook-${pkgver}"
+build() {
+ cd "$_builddir"
+ ./autogen.sh || return 1
+ ./configure || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="22e8044e7678e287534877dadc34fa94 bitlbee-facebook-1.0.0.tar.gz"
+sha256sums="ab3407c3b2f2d5cf90ef2a8b6f9da1ab5833cbad58cdde26a8a8847a48afd795 bitlbee-facebook-1.0.0.tar.gz"
+sha512sums="14cf6263c12636465a73f6fa442083af2c2f7bddc101fca84a8a6cec4b8c58cd0d5e0aea3901c25bd27ea7f2eb5b5fb65543a1501db948066cc780f52339a94e bitlbee-facebook-1.0.0.tar.gz"